org.keycloak.testutils.ldap

## Class LDAPEmbeddedServer

- java.lang.Object
- - org.keycloak.testutils.ldap.LDAPEmbeddedServer

- Direct Known Subclasses:
    KerberosEmbeddedServer

      public class LDAPEmbeddedServer
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `baseDN`
    `protected String` | `bindHost`
    `protected int` | `bindPort`
    `protected org.apache.directory.server.core.api.DirectoryService` | `directoryService`
    `protected String` | `ldapSaslPrincipal`
    `protected org.apache.directory.server.ldap.LdapServer` | `ldapServer`
    `protected String` | `ldifFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPEmbeddedServer(String baseDN, String bindHost, int bindPort, String ldifFile, String ldapSaslPrincipal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.directory.server.core.api.DirectoryService` | `createDirectoryService()`
    `protected org.apache.directory.server.ldap.LdapServer` | `createLdapServer()`
    `void` | `init()`
    `static void` | `main(String[] args)`
    `protected void` | `shutdownDirectoryService()`
    `void` | `start()`
    `void` | `stop()`
    `protected void` | `stopLdapServer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseDN

          protected final String baseDN

    - #### bindHost

          protected final String bindHost

    - #### bindPort

          protected final int bindPort

    - #### ldifFile

          protected final String ldifFile

    - #### ldapSaslPrincipal

          protected final String ldapSaslPrincipal

    - #### directoryService

          protected org.apache.directory.server.core.api.DirectoryService directoryService

    - #### ldapServer

          protected org.apache.directory.server.ldap.LdapServer ldapServer

  - ### Constructor Detail

    - #### LDAPEmbeddedServer

          public LDAPEmbeddedServer(String baseDN,
                            String bindHost,
                            int bindPort,
                            String ldifFile,
                            String ldapSaslPrincipal)

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### init

          public void init()
                    throws Exception

      Throws:
        `Exception`

    - #### start

          public void start()
                     throws Exception

      Throws:
        `Exception`

    - #### createDirectoryService

          protected org.apache.directory.server.core.api.DirectoryService createDirectoryService()
                                                                                          throws Exception

      Throws:
        `Exception`

    - #### createLdapServer

          protected org.apache.directory.server.ldap.LdapServer createLdapServer()

    - #### stop

          public void stop()
                    throws Exception

      Throws:
        `Exception`

    - #### stopLdapServer

          protected void stopLdapServer()

    - #### shutdownDirectoryService

          protected void shutdownDirectoryService()
                                           throws Exception

      Throws:
        `Exception`

Copyright © 2015. All rights reserved.